Jump to content

Compile USB wifi adapter driver


ezee
 Share

Recommended Posts

Hi

i'm stuck with a RTL8192CU wifi card i can see it in the usb menu but I can't use it in the network manager. Can someone provide me some help or a good Tutorial to compile a driver for the wifi pineapple I downloaded the driver from realtek but i don't realy know how to port it to the pineapple.

thank you.

usb menu:

Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 003: ID 1a40:0101 Terminus Technology Inc. 4-Port HUB
Bus 001 Device 004: ID 0781:556b SanDisk Corp.
Bus 001 Device 005: ID 0bda:8171 Realtek Semiconductor Corp. RTL8192CU 802.11n WLAN Adapter

Link to comment
Share on other sites

I already destroyed my alfa wifi card by pluging the wrong power supply on my hub 12v instead of 5v an now im stuck with that tp-link .

i found a package in the openwrt repo for ar71xx platform i tried to install it and i get this message:

root@Pineapple:~# opkg install /tmp/kmod-rtl8192cu_3.10.9+2013-06-27-1_ar71xx.ipk
Installing kmod-rtl8192cu (3.10.9+2013-06-27-1) to root...
Collected errors:
* satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod- rtl8192cu:
* kernel (= 3.10.9-1-50652680d61a20232635bddc6197dc58) * kmod-rtlwifi-usb * kmod-rtl8192c-common *
* opkg_install_cmd: Cannot install package kmod-rtl8192cu.

thanks for your help foxtrot .

Edited by ezee
Link to comment
Share on other sites

Wait a minute... The TP-Link devices arn't Pineapples, so I don't know.

For unsupported devices, consult the OpenWRT resources. (Wiki, Forums, Etc)

Good Luck,

-Foxtrot

The tp-link is the usb card( rtl8192cu chip) that i plug in the AP121u(hornet-ub)

i see that i have missing dependencies but it's the kernel part i don't understand:

kernel (= 3.10.9-1-50652680d61a20232635bddc6197dc58)

Edited by ezee
Link to comment
Share on other sites

Appologies, I thought you was talking about a 703N or similar router.

Try running an opkg update

I did opkg update i search the pineapple repo list and all packages are for kernel 3.3 and

It seems the packages on openwrt repo are for linux kernel 3.10 and the pineapple is on 3.3 i don"t know if i should force the install but the dependencies are also for 3.10 or maybe i can update the pineapple kernel ?

Edited by ezee
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...